[Index][Class hierarchy] | (#fcl)

# Class hierarchy

- TObject
  - Exception
    - ECGIException (ezcgi)
  - Exception
    - EProcess (process)
  - Exception
    - ELogError (eventlog)
  - Exception
    - EStreamError
      - Ezliberror (ZStream)
        - Egzfileerror (ZStream)
  - Exception
    - EDatabaseError (DB)
  - Exception
    - EStreamError
      - Ezliberror (ZStream)
        - Edecompressionerror (ZStream)
  - Exception
    - EStreamError
      - EIDEAError (idea)
  - Exception
    - EStreamColl (streamcoll)
  - Exception
    - ESyncObjectException (syncobjs)
      - ELockException (syncobjs)
  - Exception
    - EStreamError
      - EPipeError (Pipes)
  - Exception
    - EStreamError
      - ENullStreamError (nullstream)
  - Exception
    - EStreamError
      - EBlowFishError (BlowFish)
  - Exception
    - EDatabaseError (DB)
      - ESQLDatabaseError (SQLDB)
  - Exception
    - EDaemon (daemonapp)
  - Exception
    - EMOFileError (gettext)
  - Exception
    - EDatabaseError (DB)
      - ESQLDatabaseError (SQLDB)
        - EIBDatabaseError (IBConnection)
  - Exception
    - ECacheError (CacheCls)
  - Exception
    - ESyncObjectException (syncobjs)
  - Exception
    - EBase64DecodingException (base64)
  - Exception
    - EStreamError
      - EPipeError (Pipes)
        - EPipeSeek (Pipes)
  - Exception
    - EStreamError
      - EIOStreamError (iostream)
  - Exception
    - EKeyNotFound (Contnrs)
  - Exception
    - EIniCol (inicol)
  - Exception
    - MDSError (memds)
  - Exception
    - EStreamError
      - Ezliberror (ZStream)
  - Exception
    - EDuplicate (Contnrs)
  - Exception
    - EStreamError
      - Ezliberror (ZStream)
        - Ecompressionerror (ZStream)
  - Exception
    - EZipError (Zipper)
  - Exception
    - EDatabaseError (DB)
      - EUpdateError (DB)
  - Exception
    - EDatabaseError (DB)
      - ESQLDatabaseError (SQLDB)
        - EMSSQLDatabaseError (MSSQLConn)
  - Exception
    - EJSON (fpjson)
  - Exception
    - EIPCError (simpleipc)
  - Exception
    - ESyncObjectException (syncobjs)
      - ELockRecursionException (syncobjs)
  - Exception
    - EStreamError
      - EPipeError (Pipes)
        - EPipeCreation (Pipes)
  - TASCII85RingBuffer (ascii85)
  - TAVLTree (AVL_Tree)
  - TAVLTreeNode (AVL_Tree)
  - TAVLTreeNodeEnumerator (AVL_Tree)
  - TBaseAVLTreeNodeManager (AVL_Tree)
    - TAVLTreeNodeMemManager (AVL_Tree)
  - TBaseJSONEnumerator (fpjson)
  - TCache (CacheCls)
  - TCustomIniFile (IniFiles)
    - TIniFile (IniFiles)
      - TMemIniFile (IniFiles)
  - TCustomSQLscript
    - TSQLScript (SQLDB)
  - TDataSetEnumerator (DB)
  - TFieldsEnumerator (DB)
  - TFPHashObject (Contnrs)
  - TIniFileKey (IniFiles)
  - TIniFileSection (IniFiles)
  - TIPCServerMsg (simpleipc)
  - TIPCServerMsgQueue (simpleipc)
  - TMOFile (gettext)
  - TNonFreePooledMemManager (pooledmm)
  - TObject
    - TDataPacketReader (BufDataset)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
  - TObject
    - TPersistent
      - TSQLSequence (SQLDB)
  - TObject
    - TFPObjectList (Contnrs)
  - TObject
    - TLookupList (DB)
  - TObject
    - TCompressor (Zipper)
  - TObject
    - TList
      - TObjectList (Contnrs)
        - TComponentList (Contnrs)
  - TObject
    - TStream
      - TOwnerStream
        - TIDEAStream (idea)
  - TObject
    - TPersistent
      - TComponent
        - TDataSet (DB)
          - TDBDataset (DB)
            - TCustomBufDataset (BufDataset)
  - TObject
    - TPersistent
      - TCollection
        - TParams (DB)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TBlobField (DB)
            - TGraphicField (DB)
  - TObject
    - TFPCustomHashTable (Contnrs)
      - TFPObjectHashTable (Contnrs)
  - TObject
    - THTCustomNode (Contnrs)
  - TObject
    - TPersistent
      - TCollection
        - TCheckConstraints (DB)
  - TObject
    - TBlowFish (BlowFish)
  - TObject
    - TTextReader (streamex)
      - TStreamReader (streamex)
  - TObject
    - TPersistent
      - TCollectionItem
        - TNamedItem (DB)
  - TObject
    - TFPCustomHashTable (Contnrs)
      - TFPDataHashTable (Contnrs)
  - TObject
    - TPersistent
      - TCollection
        - TParams (DB)
          - TSQLDBParams (SQLDB)
  - TObject
    - TStream
      - TOwnerStream
        - TBufStream (bufstream)
  - TObject
    - THTCustomNode (Contnrs)
      - THTObjectNode (Contnrs)
        - THTOwnedObjectNode (Contnrs)
  - TObject
    - TPersistent
      - TCollectionItem
        - TZipFileEntry (Zipper)
          - TFullZipFileEntry (Zipper)
  - TObject
    - TJSONData (fpjson)
      - TJSONNull (fpjson)
  - TObject
    - TList
      - TObjectList (Contnrs)
  - TObject
    - TPersistent
      - TCollectionItem
        - TNamedItem (DB)
          - TFieldDef (DB)
  - TObject
    - THTCustomNode (Contnrs)
      - THTObjectNode (Contnrs)
  - TObject
    - TList
      - TIniFileSectionList (IniFiles)
  - TObject
    - TPersistent
      - TComponent
        - TCustomSQLStatement (SQLDB)
          - TSQLStatement (SQLDB)
  - TObject
    - TPersistent
      - TComponent
        - TSimpleIPC (simpleipc)
          - TSimpleIPCClient (simpleipc)
  - TObject
    - TPersistent
      - TComponent
        - TEventLog (eventlog)
  - TObject
    - TPersistent
      - TCollection
        - TOwnedCollection
          - TDefCollection (DB)
            - TIndexDefs (DB)
              - TServerIndexDefs (SQLDB)
  - TObject
    - TPersistent
      - TStrings
        - TStringList
          - THashedStringList (IniFiles)
  - TObject
    - TPersistent
      - TCollection
        - TDaemonDefs (daemonapp)
  - TObject
    - TPersistent
      - TComponent
        - TDBTransaction (DB)
          - TSQLTransaction (SQLDB)
  - TObject
    - TStream
      - TOwnerStream
        - Tcustomzlibstream (ZStream)
  - TObject
    - TStream
      - THandleStream
        - TNullStream (nullstream)
  - TObject
    - TPersistent
      - TComponent
        - TCustomApplication (CustApp)
          - TCustomDaemonApplication (daemonapp)
            - TDaemonApplication (daemonapp)
  - TObject
    - TStream
      - TOwnerStream
        - Tcustomzlibstream (ZStream)
          - Tcompressionstream (ZStream)
  - TObject
    - THTCustomNode (Contnrs)
      - THTStringNode (Contnrs)
  - TObject
    - TPersistent
      - TCollection
        - TOwnedCollection
          - TDefCollection (DB)
            - TIndexDefs (DB)
  - TObject
    - TOrderedList (Contnrs)
      - TStack (Contnrs)
  - TObject
    - TPersistent
      - TCollection
        - TIniCollection (inicol)
          - TNamedIniCollection (inicol)
  - TObject
    - TFiler
      - TReader
        - TDelphiReader (streamex)
  - TObject
    - TFPTimerDriver (fptimer)
  - TObject
    - TBufIndex (BufDataset)
      - TUniDirectionalBufIndex (BufDataset)
  - TObject
    - TSynchroObject (syncobjs)
      - THandleObject (syncobjs)
  - TObject
    - TPersistent
      - TDataLink (DB)
        - TDetailDataLink (DB)
  - TObject
    - TCustomBucketList (Contnrs)
  - TObject
    - TOrderedList (Contnrs)
      - TQueue (Contnrs)
        - TObjectQueue (Contnrs)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TNumericField (DB)
            - TLongintField (DB)
              - TSmallintField (DB)
  - TObject
    - TPersistent
      - TCollectionItem
        - TDependency (daemonapp)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TNumericField (DB)
            - TLongintField (DB)
              - TAutoIncField (DB)
  - TObject
    - TFiler
      - TWriter
        - TDelphiWriter (streamex)
  - TObject
    - TDataPacketReader (BufDataset)
      - TFpcBinaryDatapacketReader (BufDataset)
  - TObject
    - TIPCClientComm (simpleipc)
  - TObject
    - TPersistent
      - TComponent
        - TDataSource (DB)
  - TObject
    - TAbstractObjectWriter
      - TBinaryObjectWriter
        - TBidirBinaryObjectWriter (streamex)
  - TObject
    - TJSONData (fpjson)
      - TJSONObject (fpjson)
  - TObject
    - TPersistent
      - TComponent
        - TDataSet (DB)
          - TDBDataset (DB)
  - TObject
    - TJSONData (fpjson)
      - TJSONBoolean (fpjson)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TBinaryField (DB)
            - TBytesField (DB)
  - TObject
    - TPersistent
      - TConnectionDef (SQLDB)
        - TIBConnectionDef (IBConnection)
  - TObject
    - TPersistent
      - TCollectionItem
        - TCheckConstraint (DB)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TVariantField (DB)
  - TObject
    - TPersistent
      - TCollection
        - TDependencies (daemonapp)
  - TObject
    - TBufIndex (BufDataset)
      - TDoubleLinkedBufIndex (BufDataset)
  - TObject
    - TCompressor (Zipper)
      - TDeflater (Zipper)
  - TObject
    - TStream
      - TOwnerStream
        - TBlowFishStream (BlowFish)
          - TBlowFishDeCryptStream (BlowFish)
  - TObject
    - TStream
      - TBufBlobStream (BufDataset)
  - TObject
    - TPersistent
      - TComponent
        - TCustomConnection (DB)
          - TDatabase (DB)
            - TSQLConnection (SQLDB)
              - TMSSQLConnection (MSSQLConn)
                - TSybaseConnection (MSSQLConn)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TBooleanField (DB)
  - TObject
    - TPersistent
      - TDataLink (DB)
        - TDetailDataLink (DB)
          - TMasterDataLink (DB)
            - TMasterParamsDataLink (DB)
  - TObject
    - TPersistent
      - TComponent
        - TFPCustomTimer (fptimer)
  - TObject
    - TStream
      - TOwnerStream
        - TIDEAStream (idea)
          - TIDEADeCryptStream (idea)
  - TObject
    - TPersistent
      - TComponent
        - TSimpleIPC (simpleipc)
  - TObject
    - TPersistent
      - TCollection
        - TOwnedCollection
          - TDefCollection (DB)
            - TFieldDefs (DB)
  - TObject
    - TCompressor (Zipper)
      - TShrinker (Zipper)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TNumericField (DB)
            - TLongintField (DB)
              - TWordField (DB)
  - TObject
    - TPersistent
      - TComponent
        - TCustomConnection (DB)
  - TObject
    - TStream
      - TOwnerStream
        - TBase64EncodingStream (base64)
  - TObject
    - TPersistent
      - TCollectionItem
        - TStreamCollectionItem (streamcoll)
  - TObject
    - TSQLHandle (SQLDB)
      - TIBTrans (IBConnection)
  - TObject
    - TStream
      - TOwnerStream
        - TBlowFishStream (BlowFish)
  - TObject
    - TStream
      - TOwnerStream
        - TBufStream (bufstream)
          - TReadBufStream (bufstream)
  - TObject
    - TPersistent
      - TComponent
        - TCustomDaemonMapper (daemonapp)
          - TDaemonMapper (daemonapp)
  - TObject
    - TPersistent
      - TCollectionItem
        - TSqlObjectIdenfier (SQLTypes)
  - TObject
    - TPersistent
      - TCollection
        - TOwnedCollection
          - TDefCollection (DB)
            - TFieldDefs (DB)
              - TSQLDBFieldDefs (SQLDB)
  - TObject
    - TPersistent
      - TConnectionDef (SQLDB)
        - TMSSQLConnectionDef (MSSQLConn)
          - TSybaseConnectionDef (MSSQLConn)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TDateTimeField (DB)
  - TObject
    - TStream
      - THandleStream
        - TOutputPipeStream (Pipes)
  - TObject
    - TZipper (Zipper)
  - TObject
    - TJSONData (fpjson)
      - TJSONNumber (fpjson)
        - TJSONInt64Number (fpjson)
  - TObject
    - TPersistent
      - TComponent
        - TDBTransaction (DB)
  - TObject
    - TStream
      - THandleStream
        - TFileStream
          - TBufferedFileStream (bufstream)
  - TObject
    - TAbstractObjectReader
      - TBinaryObjectReader
        - TBidirBinaryObjectReader (streamex)
  - TObject
    - TPersistent
      - TCollectionItem
        - TIniCollectionItem (inicol)
  - TObject
    - TJSONData (fpjson)
      - TJSONNumber (fpjson)
        - TJSONIntegerNumber (fpjson)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TNumericField (DB)
            - TFMTBCDField (DB)
  - TObject
    - TPersistent
      - TComponent
        - TCustomConnection (DB)
          - TDatabase (DB)
            - TSQLConnection (SQLDB)
  - TObject
    - TPersistent
      - TComponent
        - TDataModule
          - TCustomDaemon (daemonapp)
            - TDaemon (daemonapp)
  - TObject
    - TCustomBucketList (Contnrs)
      - TBucketList (Contnrs)
  - TObject
    - TCustomBucketList (Contnrs)
      - TBucketList (Contnrs)
        - TObjectBucketList (Contnrs)
  - TObject
    - TPersistent
      - TComponent
        - TCustomConnection (DB)
          - TDatabase (DB)
            - TSQLConnection (SQLDB)
              - TIBConnection (IBConnection)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TStringField (DB)
            - TWideStringField (DB)
  - TObject
    - TTextReader (streamex)
  - TObject
    - TJSONData (fpjson)
      - TJSONNumber (fpjson)
        - TJSONQWordNumber (fpjson)
  - TObject
    - TJSONData (fpjson)
      - TJSONString (fpjson)
  - TObject
    - TPersistent
      - TCollectionItem
        - TDaemonDef (daemonapp)
  - TObject
    - TDeCompressor (Zipper)
  - TObject
    - TPersistent
      - TConnectionDef (SQLDB)
        - TMSSQLConnectionDef (MSSQLConn)
  - TObject
    - TJSONData (fpjson)
      - TJSONNumber (fpjson)
        - TJSONFloatNumber (fpjson)
  - TObject
    - TPersistent
      - TComponent
        - TDataSet (DB)
          - TDBDataset (DB)
            - TCustomBufDataset (BufDataset)
              - TBufDataset (BufDataset)
  - TObject
    - TStream
      - TOwnerStream
        - TASCII85EncoderStream (ascii85)
  - TObject
    - TMimeType (fpmimetypes)
  - TObject
    - TSynchroObject (syncobjs)
      - THandleObject (syncobjs)
        - TEventObject (syncobjs)
          - TSimpleEvent (syncobjs)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TBinaryField (DB)
  - TObject
    - TPersistent
      - TCollection
        - TStreamCollection (streamcoll)
  - TObject
    - TPersistent
      - TComponent
        - TCustomApplication (CustApp)
          - TCustomDaemonApplication (daemonapp)
  - TObject
    - TPersistent
      - TComponent
        - TPROCESS (process)
  - TObject
    - TBufIndex (BufDataset)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TNumericField (DB)
  - TObject
    - TPersistent
      - TComponent
        - TCustomSQLStatement (SQLDB)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TStringField (DB)
  - TObject
    - TJSONData (fpjson)
      - TJSONArray (fpjson)
  - TObject
    - TPersistent
      - TCollectionItem
        - TZipFileEntry (Zipper)
  - TObject
    - TOrderedList (Contnrs)
      - TStack (Contnrs)
        - TObjectStack (Contnrs)
  - TObject
    - TPersistent
      - TComponent
        - TDataModule
          - TCustomDaemon (daemonapp)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TBinaryField (DB)
            - TBytesField (DB)
              - TVarBytesField (DB)
  - TObject
    - TPersistent
      - TWinBindings (daemonapp)
  - TObject
    - TIPCServerComm (simpleipc)
  - TObject
    - TPersistent
      - TConnectionDef (SQLDB)
  - TObject
    - TStream
      - TOwnerStream
        - TASCII85DecoderStream (ascii85)
  - TObject
    - TPersistent
      - TComponent
        - TCustomConnection (DB)
          - TDatabase (DB)
  - TObject
    - TPersistent
      - TComponent
        - TFPCustomTimer (fptimer)
          - TFPTimer (fptimer)
  - TObject
    - TSynchroObject (syncobjs)
  - TObject
    - TPersistent
      - TComponent
        - TCustomConnection (DB)
          - TDatabase (DB)
            - TSQLConnection (SQLDB)
              - TMSSQLConnection (MSSQLConn)
  - TObject
    - TSQLHandle (SQLDB)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TBlobField (DB)
            - TWideMemoField (DB)
  - TObject
    - TTextReader (streamex)
      - TFileReader (streamex)
  - TObject
    - THTCustomNode (Contnrs)
      - THTDataNode (Contnrs)
  - TObject
    - TFPHashList (Contnrs)
  - TObject
    - TOrderedList (Contnrs)
      - TQueue (Contnrs)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TBlobField (DB)
            - TMemoField (DB)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TNumericField (DB)
            - TLongintField (DB)
  - TObject
    - TStream
      - TOwnerStream
        - TWindowedStream (streamex)
  - TObject
    - TPersistent
      - TComponent
        - TCustomApplication (CustApp)
  - TObject
    - TEZcgi (ezcgi)
  - TObject
    - TPersistent
      - TCollectionItem
        - TNamedItem (DB)
          - TIndexDef (DB)
  - TObject
    - TStream
      - TGZFileStream (ZStream)
  - TObject
    - TTextReader (streamex)
      - TStringReader (streamex)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TBlobField (DB)
  - TObject
    - TPersistent
      - TComponent
        - TDataSet (DB)
          - TMemDataset (memds)
  - TObject
    - TPropsStorage (RttiUtils)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TDateTimeField (DB)
            - TDateField (DB)
  - TObject
    - TPersistent
      - TCollection
        - TOwnedCollection
          - TDefCollection (DB)
  - TObject
    - TStream
      - TOwnerStream
        - TBlowFishStream (BlowFish)
          - TBlowFishEncryptStream (BlowFish)
  - TObject
    - TStream
      - TOwnerStream
        - Tcustomzlibstream (ZStream)
          - Tdecompressionstream (ZStream)
  - TObject
    - TPersistent
      - TComponent
        - TDataSet (DB)
  - TObject
    - TPersistent
      - TCollectionItem
        - TParam (DB)
          - TSQLDBParam (SQLDB)
  - TObject
    - TPersistent
      - TDataLink (DB)
        - TDetailDataLink (DB)
          - TMasterDataLink (DB)
  - TObject
    - TUnZipper (Zipper)
  - TObject
    - TPersistent
      - TComponent
        - TCustomConnection (DB)
          - TDatabase (DB)
            - TSQLConnection (SQLDB)
              - TSQLConnector (SQLDB)
  - TObject
    - TJSONData (fpjson)
      - TJSONNumber (fpjson)
  - TObject
    - TPersistent
      - TCollectionItem
        - TNamedItem (DB)
          - TFieldDef (DB)
            - TSQLDBFieldDef (SQLDB)
  - TObject
    - TPersistent
      - TComponent
        - TDataSet (DB)
          - TDBDataset (DB)
            - TCustomBufDataset (BufDataset)
              - TCustomSQLQuery (SQLDB)
                - TSQLQuery (SQLDB)
  - TObject
    - TSQLHandle (SQLDB)
      - TSQLCursor (SQLDB)
        - TIBCursor (IBConnection)
  - TObject
    - TPersistent
      - TComponent
        - TCustomDaemonMapper (daemonapp)
  - TObject
    - TPersistent
      - TComponent
        - TDaemonController (daemonapp)
  - TObject
    - TFields (DB)
  - TObject
    - TPropInfoList (RttiUtils)
  - TObject
    - TFPCustomHashTable (Contnrs)
  - TObject
    - TPersistent
      - TComponent
        - TDataSet (DB)
          - TDBDataset (DB)
            - TCustomBufDataset (BufDataset)
              - TCustomSQLQuery (SQLDB)
  - TObject
    - TStream
      - THandleStream
        - TIOStream (iostream)
  - TObject
    - TPersistent
      - TCollection
        - TIniCollection (inicol)
  - TObject
    - TPersistent
      - TComponent
        - TFPMimeTypes (fpmimetypes)
  - TObject
    - TDeCompressor (Zipper)
      - TInflater (Zipper)
  - TObject
    - TPersistent
      - TCollection
        - TSqlObjectIdentifierList (SQLTypes)
  - TObject
    - TPersistent
      - TCollectionItem
        - TIniCollectionItem (inicol)
          - TNamedIniCollectionItem (inicol)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TStringField (DB)
            - TGuidField (DB)
  - TObject
    - TFPCustomHashTable (Contnrs)
      - TFPStringHashTable (Contnrs)
  - TObject
    - TPersistent
      - TComponent
        - TSimpleIPC (simpleipc)
          - TSimpleIPCServer (simpleipc)
  - TObject
    - TBufIndex (BufDataset)
      - TArrayBufIndex (BufDataset)
  - TObject
    - TList
      - TIniFileKeyList (IniFiles)
  - TObject
    - TStream
      - THandleStream
        - TInputPipeStream (Pipes)
  - TObject
    - TThread
      - TDaemonThread (daemonapp)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TNumericField (DB)
            - TBCDField (DB)
  - TObject
    - TSQLHandle (SQLDB)
      - TSQLCursor (SQLDB)
  - TObject
    - TPersistent
      - TCollection
        - TZipFileEntries (Zipper)
  - TObject
    - TSynchroObject (syncobjs)
      - TCriticalSection (syncobjs)
  - TObject
    - TPersistent
      - TCollectionItem
        - TParam (DB)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TNumericField (DB)
            - TLongintField (DB)
              - TIntegerField (DB)
  - TObject
    - TStream
      - TOwnerStream
        - TBase64DecodingStream (base64)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TNumericField (DB)
            - TFloatField (DB)
  - TObject
    - TJSONData (fpjson)
  - TObject
    - TStream
      - TOwnerStream
        - TBufStream (bufstream)
          - TWriteBufStream (bufstream)
  - TObject
    - TOrderedList (Contnrs)
  - TObject
    - TStream
      - TOwnerStream
        - TIDEAStream (idea)
          - TIDEAEncryptStream (idea)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TNumericField (DB)
            - TLargeintField (DB)
  - TObject
    - TList
      - TClassList (Contnrs)
  - TObject
    - TPersistent
      - TDataLink (DB)
  - TObject
    - TSynchroObject (syncobjs)
      - THandleObject (syncobjs)
        - TEventObject (syncobjs)
  - TObject
    - TPersistent
      - TCollection
        - TZipFileEntries (Zipper)
          - TFullZipFileEntries (Zipper)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TDateTimeField (DB)
            - TTimeField (DB)
  - TObject
    - TPersistent
      - TComponent
        - TField (DB)
          - TNumericField (DB)
            - TFloatField (DB)
              - TCurrencyField (DB)
  - TObject
    - TFPHashObjectList (Contnrs)
  - TParamsEnumerator (DB)
  - TPooledMemManager (pooledmm)
  - TStringHash (IniFiles)
  - TTarArchive (libtar)
  - TTarWriter (libtar)